SystemOrganization addCategory: #ZCH!

CommandLineHandler subclass: #ZCHCommandLineHandler
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ZCH'!

!ZCHCommandLineHandler commentStamp: '<historical>' prior: 0!
ZnServer 
Command Line
Handler.

Usage:
	$PATH_TO_VM myImage.image zn-server <address>  <port>
For instance:
	$PATH_TO_VM myImage.image zn-server 127.0.0.1 8081

!

!ZCHCommandLineHandler class methodsFor: 'accessing' stamp: 'BernardoContreras 8/7/2012 20:13'!
commandName
	^ 'zn-server'! !

!ZCHCommandLineHandler class methodsFor: 'accessing' stamp: 'BernardoContreras 8/7/2012 20:00'!
description
	^ 'start ZnServer bind to an interface on a port'! !

!ZCHCommandLineHandler methodsFor: 'activation' stamp: 'BernardoContreras 9/16/2012 03:27'!
activate
	self arguments size = 2
		ifTrue: [ 
			self showInfo.
			(ZnServer defaultOn: self port)
				bindingAddress: self address;
				start ]
		ifFalse: [ self help ]! !

!ZCHCommandLineHandler methodsFor: 'accessing' stamp: 'BernardoContreras 9/16/2012 02:13'!
address
	^ (('.' split: self arguments first) collect: [ :each | each asInteger ]) as: ByteArray! !

!ZCHCommandLineHandler methodsFor: 'commands' stamp: 'BernardoContreras 9/16/2012 01:39'!
help
	self stdout
		nextPutAll: 'Usage:';
		cr;
		nextPutAll: '    $PATH_TO_VM myImage.image zn-server <address>  <port>';
		cr.
	self stdout
		nextPutAll: 'For instance:';
		cr;
		nextPutAll: '    $PATH_TO_VM myImage.image zn-server 127.0.0.1 8081';
		cr! !

!ZCHCommandLineHandler methodsFor: 'accessing' stamp: 'BernardoContreras 9/16/2012 01:57'!
port
	^ self arguments second asInteger! !

!ZCHCommandLineHandler methodsFor: 'accessing' stamp: 'BernardoContreras 9/16/2012 03:27'!
showInfo
	self stdout
		nextPutAll: 'Starting ZnServer on ';
		cr.
	self stdout
		nextPutAll: 'Address: ';
		nextPutAll: self arguments first;
		cr.
	self stdout
		nextPutAll: 'Port: ';
		nextPutAll: self arguments second;
		cr! !
